/**
* EINGABEN AUS EINEM FORMULAR, AN DEN RAENDERN BESCHNITTEN.
*
* Ralph 17.10.2026: *"Die Namen oder Eintraege aus den Feldern sollten gleich
* getrimmt werden, bevor sie in die Datenbank geschrieben werden."* Anlass war
* ein Kundensatz, dessen `nachname` mit einem Leerzeichen endete - sichtbar
* wurde das erst auf der Freischaltseite als "Vielen Dank, Herr Lieske !".
*
* ⚠ EIN LEERZEICHEN AM RAND IST NIE GEMEINT, ABER ES WIRKT UEBERALL. Es steht
* auf dem Lieferschein, es verhindert den Treffer bei der Dublettensuche
* ("Lieske " ist nicht "Lieske"), und es wandert ueber die Warenwirtschaft bis
* auf die Rechnung. Beschnitten wird deshalb beim SCHREIBEN, nicht beim
* Anzeigen - sonst steht der Fehler weiter im Bestand und jede neue
* Auswertung faellt wieder darauf herein.
*
* ⚠ PASSWOERTER BLEIBEN UNANGETASTET. Dort ist ein Leerzeichen am Rand ein
* Zeichen wie jedes andere; wer es beschneidet, sperrt den Kunden aus seinem
* eigenen Konto aus - und zwar erst beim naechsten Anmelden, lange nach der
* Aenderung.
*
* ⚠ Beschnitten wird auch NICHT-SICHTBARER Leerraum: ein weiches Trennzeichen
* oder ein geschuetztes Leerzeichen (U+00A0) kommt beim Einfuegen aus Word
* oder einer Webseite mit und sieht im Feld aus wie nichts.
*
* Verschachtelte Felder werden mitgenommen; alles, was kein Text ist (Zahlen,
* Kaestchen), bleibt wie es ist.
*
* @param array $daten das abgeschickte Feld, etwa $_POST['anmeldung']
* @param array $roh Schluessel, die unveraendert bleiben (Passwoerter)
*/
function eingabe_getrimmt( $daten, $roh = array( 'pass1', 'pass2', 'passwort', 'password', 'pwd' ) ) {
if ( !is_array( $daten ) ) return $daten;
foreach ( $daten as $schluessel => $wert ) {
if ( is_array( $wert ) ) {
$daten[$schluessel] = eingabe_getrimmt( $wert, $roh );
continue;
}
if ( !is_string( $wert ) || in_array( $schluessel, $roh, true ) ) continue;
// \x{00A0} geschuetztes Leerzeichen, \x{200B} Breitenloses, \x{FEFF} BOM
$beschnitten = preg_replace( '@^[\s\x{00A0}\x{200B}\x{FEFF}]+|[\s\x{00A0}\x{200B}\x{FEFF}]+$@u', '', $wert );
// preg_replace gibt bei ungueltigem UTF-8 null zurueck - dann lieber den
// urspruenglichen Wert als gar keinen.
$daten[$schluessel] = $beschnitten === null ? trim( $wert ) : $beschnitten;
}
return $daten;
}
Further information for Allnet ALL-SG8245PM Switch 5-Port Gigabit PoE+
ALLNET ALL-SG8245PM / managed 5 port Gigabit switch, 4x PoE AT 30W per port
5-port 10/100/1000Mbit/s managed Gigabit Ethernet switch with 4x PoE output (802.3af)
Highlights:
5 port 10/100/1000Mbit/s Gigabit Ethernet switch with 4x PoE output (802.3af)
Self-consumption 3W (PoE budget approx. 70W for another 4 ports)
Smart managed
Fanless design
The new ALLNET ALL-SG8245PM switch is a solid basis for a networked workplace. With a total of 5 backwards compatible Gigabit ports, computers, printers, access points, etc. can be reliably networked with one another. The ALL-SG8245PM can also supply PoE-capable devices with power via its 4 PoE ports (IEEE802.3af), so that they do not require an additional power cable. To ensure silent operation, which is very important for a workplace, the ALL-8245PM is designed in a fanless design. It is “smart managed” for optimal ease of use. This means, among other things, configurable for VLAN and QoS.
Technical data:
Switch working:
Layer 2 switch, Web easy smart managed
Switch type:
standalone
Standards:IEEE802.3 10BASE-T
IEEE802.3u 100BASE-TX
IEEE802.3ab 1000BASE-T
IEEE802.3az EEE
IEEE802.3ad Link Aggregation
IEEE802 .1q VLAN
IEEE802.1p-based QoS
switching ports:
5x RJ45 10/100/1000BaseT(X)
4x PoE IEEE802.3at max. 30W per port
Special:
4x PSE Port for PoE Devices
Uplink:
yes
Full Duplex Mode:
yes
Buffer Memory:
1Mbits
Jumbo Frames:9216byte
MAC address table:
2K
Filtering/Forwarding:
Store-and-Forward
LED Define:
Power/System: Green LED
Off: power off or fail
On: power on
Blinking: system booting up
PoE Alert: Green LED
Off: No over PoE max power budget (50W)
On: Over PoE max power budget (50W)
RJ 45 Port:LINK/ACT: bio-color LED
Off: port disconnected or link fail
Green on: 1000Mbps connected
Amber on: 10/ 100Mbps connected
Blinking: sending or receiving data
PoE:Off: PoE power output off
Green on: PoE power output on
Layer2 Basic:
Port:Auto Negotiation of speed and duplex modes
Jumbo frame support
Mirror:Port mirroring both on ingress and egress traffic
VLAN:802.1Q VLAN
Port-based VLAN
LACP:Link Aggregation = IEEE802.3ad
Multicast:Blocking of unknown multicast traffic
Qos:IEEE802.1p-based QoS
Port-based QoS
Scheduling Method = WFQ or SP
IGMP Snooping:Support IGMPv1 Snooping RFC 1122, RFC4541
Support IGMPv2 Snooping RFC 2236, RFC4541
Support IGMPv3 Snooping(Partial) RFC 3376
Security:STP / Self Loop Support
Broadcast Storm Control Support
Management:User Interface Web-based Management
User Account System password protection
PoE:PoE power output On/Off management
Power Input:
Power Input:
AC to DC external power adapter
Input: 100~240V AC
Output: 55VDC / 1.3A
Housing:Metal/ Desktop
PoE Output power capacity:Maximum output :30W per each port
1. Compliant with IEEE802.3af/at standard, Following IEEE802.3at/at to support PoE or
PoE+
2. Automatically discover the connection of PD device and immediately sends power to it
3. Auto disable port if the port current is over 700mA or short happens
4. Priority default setting is lower port NO. has high priority
5. The maximum power used by power devices is defined by the following classification.
When Port works in Auto Mode, the output port power limit will be associated with PD
classification Value.
6. Follow the standard PSE pin-out standard of Alternative A (MAD-X) which is sending out
power over number 1,2,3,6 pins of 8 wires of Ethernet CAT5 UTP cable
Dimension:193 x 84 x 26mm
Environment:
Operating Temperature: 0 ~ 50 °C
Operating Humidity: 10% ~ 90% (non condensing)
Storage Temperature: -40 ~ 70 °C
Operating Humidity: 5% ~ 90% (con condensing)
Marks:CE FCC EMI class B, ROHS
Product video